Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157602 - A 'configtest' parameter for the smb service (attached).
Summary: A 'configtest' parameter for the smb service (attached).
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Guenther Deschner
QA Contact: Kevin Baker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-13 03:09 UTC by Mike MacCana
Modified: 2014-12-01 23:08 UTC (History)
6 users (show)

Fixed In Version: samba-3.0.33-0.27.el4
Doc Type: Bug Fix
Doc Text:
This update introduces a 'configtest' parameter for the SMB service which can detect certain errors in the "/etc/samba/smb.conf" configuration file.
Clone Of:
Environment:
Last Closed: 2011-02-16 14:22:09 UTC


Attachments (Terms of Use)
updated init script with 'checkconf' parameter. (deleted)
2005-05-13 03:09 UTC, Mike MacCana
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0242 normal SHIPPED_LIVE samba bug fix and enhancement update 2011-02-15 16:34:56 UTC

Description Mike MacCana 2005-05-13 03:09:58 UTC
Description of problem:
- apachectl configtest
- named-checkconf
- testparm

It's hard for users to remember these different syntax checking tools. httpd's
init script has a 'configtest' parameter. I've just submitted one for named.
Here's an smb one. 

The aim: consistency.

Its a minor change, so do you think this one could be rolled into the next RHEL4
samba update?

Comment 1 Mike MacCana 2005-05-13 03:09:59 UTC
Created attachment 114321 [details]
updated init script with 'checkconf' parameter.

Comment 2 Mike MacCana 2005-05-18 03:59:16 UTC
FYI, named in Rawhide now has a 'configtest' option. So now it's just
smb to go...

See https://bugzilla.redhat.com/bugzilla-old/show_bug.cgi?id=157601

Comment 3 Mike MacCana 2005-07-25 05:53:43 UTC
Ping?

Comment 4 RHEL Product and Program Management 2006-08-18 17:42:22 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 RHEL Product and Program Management 2007-04-17 21:27:35 UTC
Although this bugzilla was approved for RHEL 4.5, we were unable
to resolve it in time to be included in the release.  Therefore
it is now proposed for RHEL 4.6.

Comment 8 RHEL Product and Program Management 2007-05-09 11:18:05 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 Nalin Dahyabhai 2007-07-05 18:29:59 UTC
We don't have this in RHEL 5 or the development tree, so I don't think we should
do this for RHEL 4 yet.  Leaving the flags as they are so that we'll roll this
one over.

Comment 11 RHEL Product and Program Management 2007-11-29 04:27:07 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 12 RHEL Product and Program Management 2008-09-18 19:16:54 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 21 Martin Prpič 2011-02-16 13:20:46 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This update introduces a 'configtest' parameter for the SMB service which can detect certain errors in the "/etc/samba/smb.conf" configuration file.

Comment 22 errata-xmlrpc 2011-02-16 14:22:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0242.html


Note You need to log in before you can comment on or make changes to this bug.